View Issue Details

IDProjectCategoryView StatusLast Update
0004996OXID eShop (all versions)1.04. Content, static (register, contact etc.) pagespublic2013-04-10 17:36
Reportersolidevolution 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version4.6.5 revision 49955 
Target Version4.6.7Fixed in Version4.6.7 
Summary0004996: CMS cache fails if Smarty conditions are available.
DescriptionThe CMS cache fails/lacks if more than one contents in oxcontents table have Smarty conditions. (if / else).

If you switch between two cms sites in frontend, the information in oxcontent caches to long.

See "Steps To Reproduce"
Steps To Reproduce1. Go in the backend of a fresh oxid installation
2. Append the following Smarty-Statement to oxcontents.oxcontent of oxagb AND oximpressum:

[{if $a}]a[{else}]b[{/if}]

3. Cleanup file tmp directory
4. Switch in Footer between oxagb and oximpressum CMS Sites
5. Marvel
TagsNo tags attached.
ThemeBoth
BrowserAll
PHP Versionany
MySQL Versionany

Relationships

related to 0004298 resolvedsaulius.stasiukaitis Sometimes wrong content loaded on CMS page 

Activities

mantas.vaitkunas

2013-03-21 12:59

administrator   ~0008521

Already fixed in 5.0 version.

dainius.bigelis

2013-04-08 14:50

reporter   ~0008572

Bug is reopened as Fix is needed also for 4.6 version Patch.
Please implement the fix also in this version.

martinwegele

2013-04-09 17:42

reporter   ~0008587

Last edited: 2013-04-09 17:42

View 2 revisions

Is this maybe related to 0004082 and 0004298?

mantas.vaitkunas

2013-04-10 17:36

administrator   ~0008593

Last edited: 2013-04-10 17:37

View 2 revisions

Issue was same as in 0004298 bug.
Fixed.